#include <bits/stdc++.h>
using namespace std;

int n,m,all;
int black[10005],white[10005];
vector<int> v,temp;
vector<vector<int>> tmp,oo;

long long calc()
{
    long long res=0;
    for(int i=0;i<m;i++)
    {
        res+=1ll*black[i]*white[i];
        //printf("%d %d\n",black[i],white[i]);
    }
    return res;
}

long long greedy()
{
    sort(v.begin(),v.end());
    temp.clear();
    int cnto[10005]={};
    for(int i=0;i<n;i++)
    {
        int cnt=0,rem=v[i];
        for(;i<n;i++)
        {
            if(v[i]==rem)
            {
                cnt++;
            }
            else
            {
                break;
            }
        }
        i--;
        cnto[temp.size()]=cnt;
        temp.push_back(rem);
    }
    for(int i=0;i<m;i++)
    {
        black[i]=0;
        white[i]=0;
    }
    for(int i=temp.size()-1;i>=0;i--)
    {
        for(int j=0;j<temp[i];j++)
        {
            black[j]+=cnto[i];
        }
        for(int j=temp[i];j<m;j++)
        {
            white[j]+=cnto[i];
        }
    }
    //sort(temp.begin(),temp.end());
    long long res=calc();
    //printf("%d\n",res);
    for(int i=temp.size()-1;i>=0;i--)
    {
        for(int j=0;j<temp[i];j++)
        {
            black[j]-=cnto[i];
            white[j]+=cnto[i];
        }
        for(int j=temp[i];j<m;j++)
        {
            white[j]-=cnto[i];
            black[j]+=cnto[i];
        }
        //printf("%d\n",calc());
        res=min(res,calc());
    }
    return res;
}

void input()
{
    int in;
    cin>>n>>m;
    for(int i=0;i<n;i++)
    {
        cin>>in;
        v.push_back(in);
    }
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    input();
    cout<<greedy();
}